Loading...
Searching...
No Matches
Magick::solarizeImage Class Reference

## Public Member Functions

| solarizeImage (const double factor_)
void | operator() (Image &image_) const

## Private Attributes

double | _factor

## Detailed Description

Definition at line 1074 of file STL.h.

## Constructor & Destructor Documentation

## solarizeImage()

Magick::solarizeImage::solarizeImage | ( | const double | factor_ | ) |

Definition at line 1017 of file STL.cpp.

: _factor( factor_ )
{
}

## Member Function Documentation

## operator()()

void Magick::solarizeImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 1021 of file STL.cpp.

{
image_.solarize( _factor );
}

## Field Documentation

## _factor

double Magick::solarizeImage::_factor

private

Definition at line 1082 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp